orte/mca/oob/tcp/oob_tcp_hdr.h File Reference.TH "orte/mca/oob/tcp/oob_tcp_hdr.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/oob/tcp/oob_tcp_hdr.h \- Contains header used by tcp oob. 
.SH SYNOPSIS
.br
.PP
\fC#include 'mca/ns/ns_types.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBMCA_OOB_TCP_PROBE\fP   1"
.br
.ti -1c
.RI "#define \fBMCA_OOB_TCP_CONNECT\fP   2"
.br
.ti -1c
.RI "#define \fBMCA_OOB_TCP_IDENT\fP   3"
.br
.ti -1c
.RI "#define \fBMCA_OOB_TCP_DATA\fP   4"
.br
.ti -1c
.RI "#define \fBMCA_OOB_TCP_PING\fP   5"
.br
.ti -1c
.RI "#define \fBMCA_OOB_TCP_HDR_NTOH\fP(h)"
.br
.RI "\fIConvert the message header to host byte order. \fP"
.ti -1c
.RI "#define \fBMCA_OOB_TCP_HDR_HTON\fP(h)"
.br
.RI "\fIConvert the message header to network byte order. \fP"
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_oob_tcp_hdr_t\fP \fBmca_oob_tcp_hdr_t\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Contains header used by tcp oob. 


.SH "Define Documentation"
.PP 
.SS "#define MCA_OOB_TCP_HDR_HTON(h)"
.PP
\fBValue:\fP
.PP
.nf
OMPI_PROCESS_NAME_HTON((h)->msg_src); \
    OMPI_PROCESS_NAME_HTON((h)->msg_dst); \
    (h)->msg_type = htonl((h)->msg_type);                 \
    (h)->msg_size = htonl((h)->msg_size);                                 \
    (h)->msg_tag = htonl((h)->msg_tag);
.fi
Convert the message header to network byte order. 
.PP
.SS "#define MCA_OOB_TCP_HDR_NTOH(h)"
.PP
\fBValue:\fP
.PP
.nf
OMPI_PROCESS_NAME_NTOH((h)->msg_src); \
    OMPI_PROCESS_NAME_NTOH((h)->msg_dst); \
    (h)->msg_type = ntohl((h)->msg_type);                 \
    (h)->msg_size = ntohl((h)->msg_size);                                 \
    (h)->msg_tag = ntohl((h)->msg_tag);
.fi
Convert the message header to host byte order. 
.PP
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
